[alsa-devel] [PATCH 10/10] wss_lib: use wss detection code instead of ad1848 one

Rene Herman rene.herman at keyaccess.nl
Sun Jul 20 18:09:14 CEST 2008

On 18-07-08 21:51, Krzysztof Helt wrote:

> From: Krzysztof Helt <krzysztof.h1 at wp.pl>
> Use the wss detection code and kill the ad1848 library.
> The library is fully assimilated into the new wss library.
> This patch fixes also the issue with AD1848 codec
> MCE timeout - a waiting loop is now 10 times longer.
> I have tested it on following cards:
> Gallant SC-6600 (codec: AD1848, driver: snd-sc6600]
> SoundScape VIVO/90 (codec: AD1845, driver: snd-sscape]
> SG Waverider (codec: CS4231A, driver: Rene Herman's snd-galaxy]

Now that you mention it... I should revive and submit that thing.

> Opti930 (codec: built-in - CS4231 compatible, driver: snd-opti93x]
> Opti931 (codec: built-in - CS4231 compatible, driver: snd-opti93x]
> Gallant SC-70P (chip/codec: CS4237B, driver: snd-cs4236]
> Sound playback and recording works on all these cards.
> Signed-off-by: Krzysztof Helt <krzysztof.h1 at wp.pl>

Just a quick note to say I'm now running this series (and am at the 
moment listening to a snd-cs4236 card) on top of Takashi's sound-2.6 
tree (and including the PNP stuff that's going into 2.6.27 but that's 

For anyone interested, I have placed the complete series as I have it 
here at:


It's against current ALSA. I'll give this a proper review early this 
coming week. Takashi was away for the week so that should get things 
looked at before he returns.



More information about the Alsa-devel mailing list